Installer - Bug #36567

katello-certs-check does not cause the installer to halt execution on failure

07/04/2023 10:40 AM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script

Target version:

Difficulty: Fixed in Releases: 3.6.2,3.7.1,3.8.0
Triaged: Yes Found in Releases:  3.4.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/863,
https://github.com/theforeman/foreman-i
nstaller/pull/865,
https://github.com/theforeman/foreman-i
nstaller/pull/866
Description

Since #34888 (688d0a7dc08fc78407ed84466f3b0861c3cbfc2f) the installer no longer fails when katello-certs-check fails. Prior to it

execute! was used, which caused it to halt. Now it uses execute_command without an exit() statement.

Related issues:
Related to Installer - Bug #34888: Installer spams with katello-certs-check o...

Closed

Associated revisions

Revision 825ac847 - 07/04/2023 01:28 PM - Ewoud Kohl van Wijngaarden

Fixes #36567 - Make katello-certs-check failures fatal

Prior to 688d0a7dc08fc78407ed84466f3b0861c3cbfc2f the execute! method
was used, which caused the installer to exit if katello-certs-check

failed. That commit changed it to only output the error on failure, but

it no longer stopped the installer.

Fixes: 688d0a7dc08f ("Fixes #34888: Display katello-certs-check output only if error")

History

#1 - 07/04/2023 10:40 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #34888: Installer spams with katello-certs-check output when using custom certs added

#2 - 07/04/2023 01:30 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/863 added

#3 - 07/06/2023 01:41 PM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#4 - 07/06/2023 01:41 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/865 added

#5 - 07/06/2023 01:42 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/866 added

#6 - 07/06/2023 02:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/34888
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/688d0a7dc08fc78407ed84466f3b0861c3cbfc2f

Applied in changeset installer|825ac84731e53da8e89cc065ef86d649c4a31ef8.
#7 - 07/07/2023 10:23 AM - The Foreman Bot
- Fixed in Releases 3.7.1 added

#8 - 07/07/2023 10:23 AM - The Foreman Bot
- Fixed in Releases 3.6.2 added

#9 - 08/29/2023 12:05 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
